---
- name: zabbix_agent_start
  service: name=zabbix-agent state=started enabled=yes
- name: Copy zabbix agent configuration  
  template:
    src=zabbix_agentd.conf dest=/etc/zabbix/zabbix_agentd.conf
  notify: 
    - zabbix_agent restart
- name: insert firewalld rule for zabbix_agent
  firewalld:
    port=10050/tcp permanent=true state=enabled immediate=yes
  ignore_errors:
   yes
- name: Reload
  command: firewall-cmd --reload

